org.sonatype.maven.polyglot.mapping

## Class MappingSupport

- java.lang.Object
- - org.sonatype.maven.polyglot.mapping.MappingSupport

All Implemented Interfaces:
  Mapping

Direct Known Subclasses:
  GroovyMapping, XmlMapping

    public abstract class MappingSupport
    extends java.lang.Object
    implements Mapping

Support for `Mapping` implementations.

Since:
  0.7
Author:
  Jason Dillon

### Constructor Summary

Constructors
`protected` `MappingSupport(java.lang.String roleHint)`

### Method Summary

Methods
`boolean` `accept(java.util.Map<java.lang.String,?> options)`
`java.lang.String[]` `getAcceptLocationExtensions()`
`java.lang.String[]` `getAcceptOptionKeys()`
`java.lang.String[]` `getPomNames()`
`float` `getPriority()`
`org.apache.maven.model.io.ModelReader` `getReader()`
`org.apache.maven.model.io.ModelWriter` `getWriter()`
`java.io.File` `locatePom(java.io.File dir)`
`void` `setAcceptLocationExtensions(java.lang.String... accept)`
`void` `setAcceptOptionKeys(java.lang.String... accept)`
`void` `setPomNames(java.lang.String... names)`
`protected void` `setPriority(float priority)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MappingSupport

    protected MappingSupport(java.lang.String roleHint)

### Method Detail

#### getReader

    public org.apache.maven.model.io.ModelReader getReader()

Specified by:
  `getReader` in interface `Mapping`

#### getWriter

    public org.apache.maven.model.io.ModelWriter getWriter()

Specified by:
  `getWriter` in interface `Mapping`

#### getAcceptLocationExtensions

    public java.lang.String[] getAcceptLocationExtensions()

#### setAcceptLocationExtensions

    public void setAcceptLocationExtensions(java.lang.String... accept)

#### getAcceptOptionKeys

    public java.lang.String[] getAcceptOptionKeys()

#### setAcceptOptionKeys

    public void setAcceptOptionKeys(java.lang.String... accept)

#### getPomNames

    public java.lang.String[] getPomNames()

#### setPomNames

    public void setPomNames(java.lang.String... names)

#### locatePom

    public java.io.File locatePom(java.io.File dir)

Specified by:
  `locatePom` in interface `Mapping`

#### accept

    public boolean accept(java.util.Map<java.lang.String,?> options)

Specified by:
  `accept` in interface `Mapping`

#### getPriority

    public float getPriority()

Specified by:
  `getPriority` in interface `Mapping`

#### setPriority

    protected void setPriority(float priority)